/**
 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Circus } from '@jest/types';
export declare const makeDescribe: (name: string, parent?: Circus.DescribeBlock | undefined, mode?: void | "todo" | "skip" | "only" | undefined) => Circus.DescribeBlock;
export declare const makeTest: (fn: import("@jest/types/build/Global").TestFn | undefined, mode: Circus.BlockMode, name: string, parent: Circus.DescribeBlock, timeout: number | undefined, asyncError: any) => Circus.TestEntry;
declare type DescribeHooks = {
    beforeAll: Array<Circus.Hook>;
    afterAll: Array<Circus.Hook>;
};
export declare const getAllHooksForDescribe: (describe: Circus.DescribeBlock) => DescribeHooks;
declare type TestHooks = {
    beforeEach: Array<Circus.Hook>;
    afterEach: Array<Circus.Hook>;
};
export declare const getEachHooksForTest: (test: Circus.TestEntry) => TestHooks;
export declare const describeBlockHasTests: (describe: Circus.DescribeBlock) => boolean;
export declare const callAsyncCircusFn: (fn: Circus.AsyncFn, testContext: Record<string, any> | undefined, { isHook, timeout }: {
    isHook?: boolean | null | undefined;
    timeout: number;
}) => Promise<any>;
export declare const getTestDuration: (test: Circus.TestEntry) => number | null;
export declare const makeRunResult: (describeBlock: Circus.DescribeBlock, unhandledErrors: Error[]) => Circus.RunResult;
export declare const getTestID: (test: Circus.TestEntry) => string;
export declare const addErrorToEachTestUnderDescribe: (describeBlock: Circus.DescribeBlock, error: any, asyncError: any) => void;
export declare function invariant(condition: unknown, message?: string): asserts condition;
export {};
//# sourceMappingURL=utils.d.ts.map
